<?php

namespace Drupal\development_assistant\Processing;

/**
 * Development assistant FormsStorage class.
 *
 * @package Drupal\development_assistant\Processing
 */
class FormsStorage {

  /**
   * Create storage.
   *
   * @param string $formName
   *   Form name creator.
   * @param string $input
   *   String creator.
   */
  protected static function storage($input) {

    $config = \Drupal::service('config.factory')
      ->getEditable('development_assistant.settings');
    $config
      ->set('form_input', $input)
      ->save();
  }

  /**
   * Get storage.
   *
   * @return array
   *   Returns storage contained in database.
   */
  public static function getStorage() {

    return \Drupal::config('development_assistant.settings')->get('form_input');
  }

  /**
   * Sets storage.
   *
   * @param string $input
   *   Adds String to storage.
   */
  public static function setStorage($input) {

    self::storage($input);

  }

}
